<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/reservation.php';
session_start();
date_default_timezone_set('Asia/Bangkok');
$database = new Database();
$db = $database->getConnection();

$reservation = new Reservation($db);
$data = json_decode(file_get_contents("php://input"));

$reservation->reservation_no = $data->reservation_no;
$reservation->room_no = $data->room_no;
$reservation->checkin_created_at = date("Y-m-d H:i:s") . "|" . $_SESSION['user'];

if ($reservation->updateCheckIn()) {
    echo json_encode(array("message" => "updated"));
} else {
    echo json_encode(array("message" => "error")); 
}
?>
